Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 794500 - Lightning linux build error 'Requested 'gtk+-2.0 >= 2.18.0' but version of GTK+ is 2.10.4'
: Lightning linux build error 'Requested 'gtk+-2.0 >= 2.18.0' but version of GT...
Product: Calendar
Classification: Client Software
Component: Build Config (show other bugs)
: Lightning 2.0
: x86 Linux
: -- major (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
Depends on:
  Show dependency treegraph
Reported: 2012-09-26 09:25 PDT by Stefan Sitter
Modified: 2012-11-28 08:13 PST (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description Stefan Sitter 2012-09-26 09:25:58 PDT
Lightning Linux builds are broken with the following error:

> checking for gtk+-2.0 >= 2.18.0 gtk+-unix-print-2.0 glib-2.0 gobject-2.0 gdk-x11-2.0... Requested 'gtk+-2.0 >= 2.18.0' but version of GTK+ is 2.10.4
> configure: error: Library requirements (gtk+-2.0 >= 2.18.0 gtk+-unix-print-2.0 glib-2.0 gobject-2.0 gdk-x11-2.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
> configure: error: /buildbot/cc-linux-nightly/build/mozilla/configure failed for mozilla
> *** Fix above errors and then restart with               "make -f build"
> make[1]: Leaving directory `/buildbot/cc-linux-nightly/build'
> make[1]: *** [configure] Error 1
> make: *** [objdir-tb/Makefile] Error 2

This is caused by Bug 793634. It seems that Bug 794285 will add a temporary workaround but sooner or later the Lightning build servers require an platform update like in Thunderbird Bug 794378.
Comment 1 Stefan Sitter 2012-09-27 10:04:30 PDT
Who has access to the build servers? Is there someone from Thunderbird releng team who could help?
Comment 2 Philipp Kewisch [:Fallen] 2012-09-29 05:03:39 PDT
I've pinged Mark & John about this, we will either have to get a centos6 builder (like Thunderbird bug 794378) or we need to move fast on bug 793628.
Comment 3 Stefan Sitter 2012-10-04 01:34:50 PDT
Requirement for gtk 2.18/glib 2.22 landed in mozilla-aurora today, i.e. in a few days after the next uplift all branches (central, aurora, beta) will be broken.
Comment 4 Philipp Kewisch [:Fallen] 2012-10-04 03:11:51 PDT
What, they landed that on aurora before the uplift!? What are they thinking! I would have been ok with things being broken on aurora for a week, but we need beta :-(

I'm currently building the upcoming beta build on aurora already, so we might be safe for beta 1, but this means we either need to move even faster on the tb integration and even do the release and beta builds using that kind of automation, or we indeed need a new solution.
Comment 5 Stefan Sitter 2012-10-04 03:34:22 PDT
Maybe we can somehow workaround: It seems that a temporary workaround from Bug 794285 (restore support for building against GTK+ 2.10) landed on mozilla-aurora too. If we could apply a similar fix as in or Bug 795359 it might work again.
Comment 6 Stefan Sitter 2012-10-11 09:27:31 PDT
Philipp, did you try the described workaround that was used by Thunderbird and SeaMonkey, i.e. adding the following lines to the Linux mozconfig files?
> ac_add_options --enable-gnomevfs
> ac_add_options --disable-gio
Comment 7 Philipp Kewisch [:Fallen] 2012-10-11 12:21:35 PDT
I've just committed a buildbot-config change that does this, seems to be working!
Comment 8 Stefan Sitter 2012-10-11 13:48:09 PDT
Linux x86_64 build is broken with the same error as in SeaMonkey Bug 798921. Workaround might be to use --disable-webrtc.
Comment 9 Philipp Kewisch [:Fallen] 2012-10-13 04:51:53 PDT
I filed bug 800798, I believe I added --disable-webrtc. Need to doublecheck it was picked up.
Comment 10 Stefan Sitter 2012-11-27 09:30:03 PST
I guess we can mark this as fixed by Bug 793628 too.

Or do we need to port back the workaround for comm-beta builds of Lightning 2.0?
Comment 11 Philipp Kewisch [:Fallen] 2012-11-28 08:13:49 PST
Lets mark this as fixed. The beta/aurora mozconfigs are now in sync, so the fix is applied there too. I'm still working on getting all 2.0b1 builds up, there are various issues but nothing worth keeping a bug open for.

Note You need to log in before you can comment on or make changes to this bug.